## org.apache.poi.ddf
Class EscherPropertyFactory

    java.lang.Object
      org.apache.poi.ddf.EscherPropertyFactory

    public final class EscherPropertyFactory

extends java.lang.Object

Generates a property given a reference into the byte array storing that property.

Author:
  Glen Stampoultzis

Constructor Summary
`EscherPropertyFactory()`

Method Summary
`java.util.List<EscherProperty>` `createProperties(byte[] data, int offset, short numProperties)` Create new properties from a byte array.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EscherPropertyFactory

    public EscherPropertyFactory()

Method Detail

### createProperties

    public java.util.List<EscherProperty> createProperties(byte[] data,
                                                           int offset,
                                                           short numProperties)

  Create new properties from a byte array.

  Parameters:
    `data` - The byte array containing the property
    `offset` - The starting offset into the byte array
  Returns:
    The new properties

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.